## vdr-plugin-vnsiserver-dmo 1.8.0

=== debian/changelog ===
vdr-plugin-vnsiserver-dmo (5:1.8.0-dmo2) unstable; urgency=medium

  * Rebuild against vdr-abi-2.4.1-debian

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Jul 2019 13:02:04 +0200

vdr-plugin-vnsiserver-dmo (5:1.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 20 Oct 2018 09:42:39 +0200

vdr-plugin-vnsiserver-dmo (5:1.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 May 2018 09:20:44 +0200

vdr-plugin-vnsiserver-dmo (5:1.5.2-dmo3) unstable; urgency=medium

  * Rebuild against vdr-abi-2.4.0-debian

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Apr 2018 23:57:22 +0200

vdr-plugin-vnsiserver-dmo (5:1.5.2-dmo2) unstable; urgency=medium

  * Rebuild against vdr-abi-2.3.8-debian

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 15 Aug 2017 04:00:19 +0200

vdr-plugin-vnsiserver-dmo (5:1.5.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2017 09:06:54 +0100

vdr-plugin-vnsiserver-dmo (5:1.5.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 26 Sep 2016 08:47:14 +0200

vdr-plugin-vnsiserver-dmo (5:1.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Aug 2016 07:21:52 +0200

vdr-plugin-vnsiserver-dmo (5:1.3.1-dmo2) unstable; urgency=medium

  * Rebuild against vdr 2.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Sep 2015 16:08:33 +0200

vdr-plugin-vnsiserver-dmo (5:1.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Sep 2015 15:27:54 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.1-dmo8) unstable; urgency=medium

  * Rebuild with gcc-5

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Aug 2015 12:05:35 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.1-dmo7) unstable; urgency=medium

  * Build for unstable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 27 Jun 2015 18:15:07 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.1-dmo6) stable; urgency=medium

  * Install allowed_hosts.conf in /etc/vdr/plugins/vnsiserver
  * Last package for stable ?

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 27 Jun 2015 12:12:28 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.1-dmo5) stable; urgency=medium

  * Rebuild for unstable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Jun 2015 20:15:58 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.1-dmo4) stable; urgency=medium

  * Don't package allowed_hosts.conf (this file isn't a configuration file
    and changes are lost when the package is upgraded) but put this file in
    /usr/share/doc/vdr-plugin-vnsiserver/examples

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Jun 2015 11:37:22 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.1-dmo3) stable; urgency=medium

  * Install allowed_hosts.conf file in /var/lib/vdr/plugins/vnsiserver
    (Thanks to Jochen Pawletta for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Jun 2015 09:25:46 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.1-dmo2) stable; urgency=medium

  * Rebuild for stable (against VDR 2.0.3).

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Jun 2015 23:58:04 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Jan 2015 16:40:05 +0100

vdr-plugin-vnsiserver-dmo (5:1.2.0-dmo2) unstable; urgency=medium

  * Should Depends on vdr.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Oct 2014 08:47:29 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.0-dmo1) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Oct 2014 15:29:32 +0200
