=== debian/control ===
Source: vdr-plugin-vnsiserver-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/FernetMenta/vdr-plugin-vnsiserver
Standards-Version: 4.4.0
Build-Depends: debhelper-compat (= 12), vdr-dev (>= 2.4.1), pkg-config

Package: vdr-plugin-vnsiserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin to handle XBMC clients.
 The vdr-plugin-vnsiserver is able to handle several XBMC clients
 connecting via the VNSI addon.
