=== debian/watch ===
version=4

https://github.com/FernetMenta/vdr-plugin-vnsiserver/releases \
/FernetMenta/vdr-plugin-vnsiserver/archive/v(.*)@ARCHIVE_EXT@
