## vdr-plugin-vnsiserver-dmo 1.8.3

=== debian/changelog ===
vdr-plugin-vnsiserver-dmo (5:1.8.3-dmo2+deb13u1) trixie; urgency=medium

  * Increase Debian version to dmo2+deb13u1 needed by i386 package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Feb 2026 15:51:48 +0100

vdr-plugin-vnsiserver-dmo (5:1.8.3-dmo1+deb13u1) trixie; urgency=medium

  * Build with vdr-dev 2.6.9 (Thanks to Stephan Gerth for thr bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Feb 2026 15:34:16 +0100

vdr-plugin-vnsiserver-dmo (5:1.8.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Mar 2023 14:20:58 +0100

vdr-plugin-vnsiserver-dmo (5:1.8.0-dmo4) unstable; urgency=medium

  * Build with vdr-abi-2.6.0-debian

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 Jan 2022 08:20:47 +0100

vdr-plugin-vnsiserver-dmo (5:1.8.0-dmo3) unstable; urgency=medium

  * Build with vdr-abi-2.4.7-debian

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Dec 2021 09:31:58 +0100
