=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Homepage: https://github.com/FernetMenta/vdr-plugin-vnsiserver
-Standards-Version: 4.4.0
-Build-Depends: debhelper-compat (= 12), vdr-dev (>= 2.4.1), pkg-config
+Homepage: https://github.com/vdr-projects/vdr-plugin-vnsiserver
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0~), pkgconf
 
 Package: vdr-plugin-vnsiserver
 Architecture: any
