=== debian/watch ===
version=4

https://github.com/vdr-projects/vdr-plugin-vnsiserver/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
