=== debian/changelog ===
vdr-plugin-vnsiserver-dmo (5:1.8.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 Feb 2026 17:13:53 +0100

vdr-plugin-vnsiserver-dmo (5:1.8.3-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Nov 2024 17:30:30 +0100
