=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: vdr-plugin-vnsiserver-dmo
 Section: video
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/vdr-projects/vdr-plugin-vnsiserver
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0~), pkgconf
 
 Package: vdr-plugin-vnsiserver
